#
# Conditional_build:
%bcond_with	apidocs	# gi-doc API documentation

Summary:	Adwaita mobile widgets library
Summary(pl.UTF-8):	Biblioteka widżetów mobilnych Adwaita
Name:		libadwaita
Version:	1.5.3
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libadwaita/1.5/%{name}-%{version}.tar.xz
# Source0-md5:	9be9ebe76f086a8535ff30918926dd07
URL:		https://gitlab.gnome.org/GNOME/libadwaita
BuildRequires:	AppStream-devel
BuildRequires:	fribidi-devel
BuildRequires:	glib2-devel >= 1:2.76.0
BuildRequires:	gobject-introspection-devel
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	gtk4-devel >= 4.13.4
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.029
BuildRequires:	sassc
BuildRequires:	tar >= 1:1.22
# vala with gtk4 bindings
BuildRequires:	vala >= 2:0.44
BuildRequires:	xz
Requires:	glib2 >= 1:2.76.0
Requires:	gtk4 >= 4.13.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of the Adwaita library is to help with developing UI for
mobile devices using GTK/GNOME.

%description -l pl.UTF-8
Celem biblioteki Adwaita jest pomoc przy tworzeniu interfejsów
użytkownika dla urządzeń przenośnych przy użyciu GTK/GNOME.

%package devel
Summary:	Header files for Adwaita library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Adwaita
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fribidi-devel
Requires:	glib2-devel >= 1:2.76.0
Requires:	gtk4-devel >= 4.13.4

%description devel
Header files for Adwaita library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Adwaita.

%package static
Summary:	Static Adwaita library
Summary(pl.UTF-8):	Statyczna biblioteka Adwaita
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Adwaita library.

%description static -l pl.UTF-8
Statyczna biblioteka Adwaita.

%package -n vala-libadwaita
Summary:	Vala API for Adwaita library
Summary(pl.UTF-8):	API języka Vala do biblioteki Adwaita
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.44

%description -n vala-libadwaita
Vala API for Adwaita library.

%description -n vala-libadwaita -l pl.UTF-8
API języka Vala do biblioteki Adwaita.

%package apidocs
Summary:	API documentation for Adwaita library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Adwaita
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Adwaita library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Adwaita.

%prep
%setup -q

%build
%meson build \
	-Dexamples=false \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libadwaita-1 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_libdir}/libadwaita-1.so.0
%{_libdir}/girepository-1.0/Adw-1.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libadwaita-1.so
%{_includedir}/libadwaita-1
%{_datadir}/gir-1.0/Adw-1.gir
%{_pkgconfigdir}/libadwaita-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libadwaita-1.a

%files -n vala-libadwaita
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libadwaita-1.deps
%{_datadir}/vala/vapi/libadwaita-1.vapi

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/libadwaita-1
%endif
%changelog
* Fri Aug 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libadwaita.git;a=log;h=master

* Tue Aug 13 2024 Jakub Bogusz <qboosh@pld-linux.org> e506bb0
- updated to 1.5.3

* Sat Jun 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 0f4f2ce
- updated to 1.5.2

* Fri May 24 2024 Jakub Bogusz <qboosh@pld-linux.org> da642ba
- updated to 1.5.1

* Fri Mar 22 2024 Jakub Bogusz <qboosh@pld-linux.org> a65f15a
- updated to 1.5.0

* Tue Mar 19 2024 Jan Rękorajski <baggins@pld-linux.org> 0d2393a
- Release 2 (by relup.sh)

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> e3c6e6e
- updated to 1.4.4

* Sat Feb 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 8a71974
- updated to 1.4.3

* Sun Dec 03 2023 Jakub Bogusz <qboosh@pld-linux.org> b55b595
- updated to 1.4.2 (now ready for AppStream 1.0)

* Wed Oct 18 2023 Jan Palus <atler@pld-linux.org> 493f6d4
- BR: AppStream-devel

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> b937eeb
- use _gidocdir for apidocs

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 65050fd
- updated to 1.4.0

* Sun Sep 03 2023 Jakub Bogusz <qboosh@pld-linux.org> d3b9968
- updated to 1.3.5

* Fri Aug 18 2023 Jakub Bogusz <qboosh@pld-linux.org> cc11cb5
- updated to 1.3.4

* Tue Jun 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 966cb82
- updated to 1.3.3

* Fri Apr 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 684ad0d
- updated to 1.3.2

* Wed Mar 22 2023 Jakub Bogusz <qboosh@pld-linux.org> c41a010
- updated to 1.3.1

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 7e0f751
- updated to 1.2.0

* Mon Sep 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 52ea70f
- updated to 1.1.5

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 786660a
- updated to 1.1.4

* Mon Jul 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 39a698f
- updated to 1.1.3

